.PHONY: models clean

default: models bin/wapiti

models:
	@echo Extracting models
	mkdir -p models
	tar xfvz models.tar.gz -C models
	
bin/wapiti:
	@echo Extracting Wapiti source
	tar xfvz wapiti.tar.gz
	@echo Compiling Wapiti
	cd wapiti && $(MAKE)
	@echo Copying the binary
	mkdir -p bin
	cp wapiti/wapiti bin/wapiti
	@echo Removing source files
	rm -rf wapiti
	
clean:
	@echo Removing Wapiti binary
	rm -rf wapiti
